package es.ejie.frmk.infraestructura.mail;

import java.util.HashMap;

import es.ejie.frmk.infraestructura.utilidades.configurador.Q70ConfiguradorBase;

/**
 * Clase encargada de recuperar la configuración del:
 * <ul>
 * <li> Servidor de correo SMTP</li>
 * <li> Si permite enviar más emails en caso de que falle uno. Por defecto es
 * true</li>
 * </ul>
 * @version 2.0 Fecha: 22-mar-06
 */
public class Q70ConfiguradorMail extends Q70ConfiguradorBase {

	private String servidorSMTP = null;
	private String sendPartial = null;

	public Q70ConfiguradorMail(String ficheroXML, String aplicacionCodigo) {
		setFichero(ficheroXML);
		setCodigoAplicacion(aplicacionCodigo);
	}

	public void beginProperty(String nombre, String valor, String nivel, String path) {
		if (nivel.equals("/propiedad")) {
			if (nombre.equals(Q70Constantes.HOST_SMTP)) {
				servidorSMTP = valor;
			} else if (nombre.equals(Q70Constantes.SENDPARTIAL)) {
				sendPartial = valor;
			}
		}
	}

	protected Object getConfiguracion() {
		HashMap datosConfiguracion = new HashMap(2);

		datosConfiguracion.put(Q70Constantes.HOST_SMTP, servidorSMTP);
		datosConfiguracion.put(Q70Constantes.SENDPARTIAL, sendPartial);

		return datosConfiguracion;
	}
}
